Namespace dsChinaLogReportTableAdapters
    Partial Public Class ChinaLogReportTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsVALCShipmentsByDCTableAdapters
    Partial Public Class VALCShipmentsByDCTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsBOBDShipmentsByDCTableAdapters
    Partial Public Class BOBDShipmentsByDCTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsCreditMemosAsPercentOfSalesTableAdapters
    Partial Public Class CreditMemosAsPercentOfSalesTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsOpenOrdersReportTableAdapters
    Partial Public Class OpenOrdersReportTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsSalesByCustomerSKUDateTableAdapters

    Partial Public Class SalesByCustomerSKUDateTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsDailyBackLogReportTableAdapters

    Partial Public Class DailyBackLogDataTableTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsDailyOrderEntryDollarsTableAdapters

    Partial Public Class DailyOrderEntryDollarsTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsVB_PEJEVariableOHTableAdapters

    Partial Public Class VB_PEJEVariableOHTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsVB_PEJEFixedOHTableAdapters

    Partial Public Class VB_PEJEFixedOHTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsVB_PEJEPurchasedFGTableAdapters

    Partial Public Class VB_PEJEPurchasedFGTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsVB_PEJEDirectMaterialCOGSTableAdapters

    Partial Public Class VB_PEJEDirectMaterialCOGSTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsVB_PEJEFreightAdjustmentTableAdapters

    Partial Public Class VB_PEJEFreightAdjustmentTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsVB_WIPQtyOnHandTableAdapters

    Partial Public Class VB_WIPQtyOnHandTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsVB_WorkOrderAgingByPlantTableAdapters

    Partial Public Class VB_WorkOrderAgingByPlantTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsVB_StdCostVarianceTableAdapters
    Partial Public Class VB_StdCostVarianceTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsAPTop50VendorReportTableAdapters
    Partial Public Class APTop50VendorTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsVB_StdCostVarianceByDeptTableAdapters
    Partial Public Class VB_StdCostVarianceDeptTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsVB_StdCostVarianceByPlantAndDeptTableAdapters
    Partial Public Class VB_StdCostVariancePlantAndDeptTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsVB_StdCostVarianceByFGTableAdapters
    Partial Public Class VB_StdCostVarianceFGTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsVB_StdCostVarianceByCompanyTableAdapters
    Partial Public Class VB_StdCostVarianceCompanyTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsSalesAndSurchargesTableAdapters
    Partial Public Class SalesAndSurchargesTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsSalesAndSurchargesSummaryTableAdapters
    Partial Public Class SalesAndSurchargesSummaryTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsSalesCommissionTableAdapters
    Partial Public Class SalesCommissionTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsShipmentsByProductLineTableAdapters
    Partial Public Class ShipmentsByProductLineTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsEndOfDayTableAdapters
    Partial Public Class EndOfDayTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsSalesAndCreditMemosByBuyingGroupTableAdapters
    Partial Public Class SalesAndCreditMemosByBuyingGroupTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsCustomerSummaryLYTDYTDOpenSOTableAdapters
    Partial Public Class CustomerSummaryLYTDYTDOpenSOTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsHistoricalInventoryOnHandTableAdapters
    Partial Public Class HistoricalInventoryOnHandTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsHistoricalRawMaterialOnHandTableAdapters
    Partial Public Class HistoricalRawMaterialOnHandTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsSalesBySKUSingleCustomerSalesmanTableAdapters
    Partial Public Class SalesBySKUSingleCustomerSalesmanTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsCustomerLineUpAndPricingTableAdapters
    Partial Public Class CustomerLineUpAndPricingTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsItemRankByCategoryCustomerSalesmanTableAdapters
    Partial Public Class ItemRankByCategoryCustomerSalesmanTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsOrdersWrittenBySalesmanAndDateTableAdapters
    Partial Public Class OrdersWrittenBySalesmanAndDateTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsWorkOrdersToBeReleasedTableAdapters
    Partial Public Class WorkOrdersToBeReleasedTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsBacklogBySKUTableAdapters
    Partial Public Class BacklogBySKUTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsUnitsByMonthTableAdapters
    Partial Public Class UnitsByMonthTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsKitDetailReportTableAdapters
    Partial Public Class KitDetailReportTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsROTGFlashReportTableAdapters
    Partial Public Class ROTGFlashReportTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsGMByImportTableAdapters
    Partial Public Class GMByImportTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsGPByAllCustomerSKUTableAdapters
    Partial Public Class GPByAllCustomerSKUTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsGPBYSalesmanCustomerTableAdapters
    Partial Public Class GPBYSalesmanCustomerTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsRateOfSaleTableAdapters
    Partial Public Class RateOfSaleTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsUnshippedOrdersByCustomerSalesmanTableAdapters
    Partial Public Class UnshippedOrdersByCustomerSalesmanTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsProductionScheduleByDateTableAdapters
    Partial Public Class ProductionScheduleByDateTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsUnitsByStateTableAdapters
    Partial Public Class UnitsByStateTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsSalesByCustsomerDetailTableAdapters
    Partial Public Class SalesByCustomerDetailTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsShipmentReportTableAdapters
    Partial Public Class ShipmentReportTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsSalesByBuyingGroupTableAdapters
    Partial Public Class SalesByBuyingGroupTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsSalesByCustomerSummaryTableAdapters
    Partial Public Class SalesByCustomerSummaryTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace

Namespace dsSalesBySalesmanProductLineUnitTableAdapters
    Partial Public Class SalesBySalesmanProductLineUnitTableAdapter
        Public Property SelectCommandTimeout() As Integer
            Get
                Return (Me.Adapter.SelectCommand.CommandTimeout)
            End Get
            Set(ByVal value As Integer)
                ' Note that Me.Adapter.SelectCommand might not exist 
                ' Reference to CommandCollection(0) 
                '  might trigger creation of CommandCollection 
                If Me.CommandCollection(0) Is Nothing Then
                    ' CommandCollection not created 
                    ' Probably should throw an exception here... 
                Else
                    For Each cmd As System.Data.SqlClient.SqlCommand In CommandCollection
                        cmd.CommandTimeout = value
                    Next
                End If
            End Set
        End Property
    End Class
End Namespace
